Skip to main content
GET
/
public
/
v1
/
bank-transfers
List BankTransfer records
curl --request GET \
  --url https://api.dualentry.com/public/v1/bank-transfers/ \
  --header 'X-API-KEY: <api-key>'
{
  "items": [
    {
      "internal_id": 123,
      "number": 123,
      "date": "2023-12-25",
      "transaction_date": "2023-12-25",
      "company_id": 123,
      "company_name": "<string>",
      "company_currency": "<string>",
      "debit_bank_account_number": 123,
      "credit_bank_account_number": 123,
      "amount": "<string>",
      "exchange_rate": "<string>",
      "memo": "<string>",
      "bank_match_status": "<string>",
      "reconciliation_status": "<string>",
      "created_by": {
        "actor_type": "<string>",
        "email": "<string>",
        "first_name": "<string>",
        "last_name": "<string>",
        "timestamp": "2023-11-07T05:31:56Z"
      },
      "updated_by": {
        "actor_type": "<string>",
        "email": "<string>",
        "first_name": "<string>",
        "last_name": "<string>",
        "timestamp": "2023-11-07T05:31:56Z"
      },
      "currency_iso_4217_code": []
    }
  ],
  "count": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.dualentry.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-KEY
string
header
required

Query Parameters

search
string | null
company_id
integer[] | null
number
integer[] | null
start_date
string<date> | null
end_date
string<date> | null
debit_bank_account_number
integer[] | null
credit_bank_account_number
integer[] | null
record_status
enum<string>[] | null
Available options:
draft,
posted,
archived
approval_status
string[] | null
ordering
string | null
default:id
limit
integer
default:100

Number of records to return per page (capped at 100)

Required range: x >= 1
offset
integer
default:0

Number of records to skip before starting to return results

Required range: x >= 0

Response

OK

items
PublicBankTransferSchemaOut · object[]
required
count
integer
required
Last modified on May 28, 2026